body {
  font-family: Arial, Helvetica, sans-serif;
}

/* Container */
.container,
.container-fluid,
.container-xxl,
.container-xl,
.container-lg,
.container-md,
.container-sm {
  width: 100%;
  padding-right: var(--bs-gutter-x, 0.75rem);
  padding-left: var(--bs-gutter-x, 0.75rem);
  margin-right: auto;
  margin-left: auto;
}

@media (min-width: 576px) {
  .container-sm, .container {
    max-width: 540px;
  }
}
@media (min-width: 768px) {
  .container-md, .container-sm, .container {
    max-width: 720px;
  }
}
@media (min-width: 992px) {
  .container-lg, .container-md, .container-sm, .container {
    max-width: 960px;
  }
}
@media (min-width: 1200px) {
  .container-xl, .container-lg, .container-md, .container-sm, .container {
    max-width: 1140px;
  }
}
@media (min-width: 1400px) {
  .container-xxl, .container-xl, .container-lg, .container-md, .container-sm, .container {
    max-width: 1320px;
  }
}

/* Page Section */
.page-section {
  padding: 6rem 0;
}

.bg-light {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity)) !important;
}

/* Nav Bar */
.clean-navbar .navbar-nav .nav-link {
    font-weight: 600;
    font-size: .8rem;
    text-transform: uppercase;
}

.navbar_custom {
  overflow: hidden;
  background-color: #000024;
}

.navbar_custom a {
  float: left;
  font-size: 16px;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

.dropdown_custom {
  float: left;
  overflow: hidden;
}

.dropdown_custom .dropbtn {
  font-size: 16px;  
  border: none;
  outline: none;
  color: white;
  padding: 14px 16px;
  background-color: inherit;
  font-family: inherit;
  margin: 0;
}

.navbar_custom a:hover, .dropdown_custom:hover .dropbtn {
  background-color: #1676e1;
}

.dropdown_custom-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

.dropdown_custom-content a {
  float: none;
  color: black;
  padding: 6px 10px;
  text-decoration: none;
  display: block;
  text-align: left;
  font-size: 1.0rem;
}

.dropdown_custom-content a:hover {
  background-color: #1676e1;
}

.dropdown_custom:hover .dropdown_custom-content {
  display: block;
}

.statistics_btn {
  
  display: inline-block;
  width: 80px;
  font-weight: 400;
  line-height: 1.5;
  color: #1676e1;
  text-align: center;
  text-decoration: none;
  vertical-align: middle;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  background-color: transparent;
  border: 1px solid transparent;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  border-radius: 0.25rem;
  margin: 20px;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.statistics_btn-dark {
  color: #fff;
  background-color: #1676e1;
  border-color: #ffffff;
}

.statistics_user_icon_text {
	text-align: right;
	padding: 0;
	margin: 0;
}

.background-image-blue {
    background-image: url("gradient_element.jpg");
}

.project-container {
    border:  1px solid rgba(22,118,225,0.5);
	border-bottom: 4px solid rgba(22,118,225,0.5);
	border-radius: 4px;
	margin: 10px;
	
}

.project-title {
  font-size: 1.0rem;
  font-family: "Montserrat", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-weight: 600;
  margin-bottom: 0;
  text-align: center;
}

.project-author {
  font-size: 0.9rem;
  font-family: "Montserrat", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-weight: 400;
  margin: 10px;
  text-align: center;
}

.statistics-container {
  display: inline-block;
  background-color: rgba(22,118,225,0.9);
  width: 84px;
  text-align: center;
  color: #ffffff;
  text-align: center;
  text-decoration: none;
  vertical-align: middle;
  padding: 10px;
  border-radius: 4px;
  bottom: 10px;

}

/* Section Items (links to Posts) */

#portfolio .portfolio-item {
  max-width: 26rem;
  margin-left: auto;
  margin-right: auto;
}
#portfolio .portfolio-item .portfolio-link {
  position: relative;
  display: block;
  margin: 0 auto;
}
#portfolio .portfolio-item .portfolio-link .portfolio-hover {
  display: flex;
  position: absolute;
  width: 100%;
  height: 100%;
  background: #1b1b1b;
  align-items: center;
  justify-content: center;
  opacity: 1;
  background: rgba(0,0,0,0.0);
  transition: background ease-in-out 0.25s;
}
#portfolio .portfolio-item .portfolio-link .portfolio-hover .portfolio-hover-content {
  font-size: 1.25rem;
  color: white;
}
#portfolio .portfolio-item .portfolio-link:hover .portfolio-hover {
  background: rgba(0,0,0,0.3);
}
#portfolio .portfolio-item .portfolio-caption {
  padding: 1.5rem;
  text-align: center;
  background-color: #fff;
}
#portfolio .portfolio-item .portfolio-caption .portfolio-caption-heading {
  font-size: 1.5rem;
  font-family: "Montserrat", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-weight: 700;
  margin-bottom: 0;
}
#portfolio .portfolio-item .portfolio-caption .portfolio-caption-subheading {
  font-style: italic;
  font-family: "Roboto Slab", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}


/* SLIDESHOW */
/* Slideshow container */

* {box-sizing: border-box}
body {font-family: Verdana, sans-serif; margin:0}
.mySlides {display: none}
img {vertical-align: middle;}

.slideshow-container {
  box-sizing:border-box;
  width: 90%;
  max-width: 1000px;
  margin: auto;
  text-align: center;
}

.mainpage-carousel-container {
  overflow: hidden;
}

.mainpage-carousel-caption {
   background-color: rgba(0,0,0,0.5);
   border-radius: 6px;
}

/* Hide the images by default */
.mySlides {
  display: none;
}

/* Next & previous buttons */
.slideshow-button {
  text-decoration: none;
  padding: 8px 16px;
  background-color: rgba(22,118,225,0.7);
  transition: 0.6s ease;
  color: #ffffff;
  user-select: none;
}

.slideshow-prev {
  float:left;
}

.slideshow-next {
  float:right;
}


/* On hover, add a black background color with a little bit see-through */
.slideshow-prev:hover, .slideshow-next:hover {
  color: #ffffff;
  background-color: rgba(22,118,225,1);
}

/* Caption text */
.slideshow-text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* The dots/bullets/indicators */
.slideshow-dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: rgba(22,118,225,0.5);
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.slideshow-dot-active {
  background-color: rgba(22,118,225,1);
}


/* Fading animation */
.slideshow-fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 1.5s;
  animation-name: fade;
  animation-duration: 1.5s;
}

@-webkit-keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}

@keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}


/* Accordion Elements */
.custom-accordion-button {
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
  padding: 1rem 1.25rem;
  font-size: 1rem;
  color: #212529;
  text-align: center;
  background-color: #fff;
  border: 0;
  border-radius: 0;
  overflow-anchor: none;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, border-radius 0.15s ease;
}
@media (prefers-reduced-motion: reduce) {
  .custom-accordion-button {
    transition: none;
  }
}
.custom-accordion-button:not(.collapsed) {
  color: #3791f6;
  background-color: #eaf1f9;
  box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.125);
}
.custom-accordion-button:not(.collapsed)::after {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%233791f6'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
  transform: rotate(-180deg);
}
.custom-accordion-button::after {
  flex-shrink: 0;
  width: 1.25rem;
  height: 1.25rem;
  margin-left: auto;
  content: "";
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23212529'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-size: 1.25rem;
  transition: transform 0.2s ease-in-out;
}
@media (prefers-reduced-motion: reduce) {
  .custom-accordion-button::after {
    transition: none;
  }
}
.custom-accordion-button:hover {
  z-index: 0;
}
.custom-accordion-button:focus {
  z-index: 0;
  border-color: #85b6ed;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(55, 145, 246, 0.25);
}


/* Custom Input And Labels */
.custom-input {
  width: 350px;
}

.custom-input-label {
  width: 140px;
}

/* Subdomain Short Info */
.subdomain-short-info-container {
  position:absolute;
  right:60px;
  padding-left: 10px;
}

.subdomain-short-info {
  margin-right: 0;
  float: right;
  padding-left: 5px;
  padding-right: 5px;
  padding-top: 0;
  padding-bottom: 0;
}

/* Custom Search Form */
.custom-search {
  display: block;
  margin-right: 0;
  float: right;
  padding-left: 5px;
  padding-right: 5px;
  padding-top: 10px;
  padding-bottom: 0;
}


/* Custom Search Button */
.custom-search-button {
  color: #1676e1;
  
}

/* Custom Submit Button */
.custom-submit-button {
   border-width: 1px;
   border-style: solid;
   border-color: #1676e1;
   border-image: initial;
   border-radius: 5% 5% 5% 5%; 
}

/* Custom Search Field */
.custom-search-field {
   border-width: 1px;
   border-style: solid;
   border-color: #1676e1;
   border-image: initial;
   border-radius: 5% 5% 5% 5%; 
}

.custom-search-field:focus {
   border-width: 3px;
   border-style: solid;
   border-color: #1676e1;
   border-image: initial;
   border-radius: 5% 5% 5% 5%; 
}

/* Custom Row With Padding */

.row-bottom-padding: {
     padding-bottom: 50px;
     margin-bottom: 50px;
}

/* Custom Carousel Slides For Projects on Mainpage */

.slick-carousel {
  background-color: #0c8edd;
}

.slick-carousel-inner {
  max-width: 1200px;
  margin: auto;
  padding: 20px;
  padding-bottom: 40px;
  overflow: visible;
}
.card {
  margin: 0 0.5em;
  box-shadow: 2px 6px 8px 0 rgba(22, 22, 26, 0.18);
  border: none;
}

.slick-carousel-control-prev,
.slick-carousel-control-next {
  position: sticky;
  z-index: 1;
  display: block;
  align-items: center;
  justify-content: center;
  width: 15%;
  padding: 0;
  color: #fff;
  text-align: center;
  background: none;
  border: 0;
  opacity: 0.5;
  transition: opacity 0.15s ease;
}

.slick-carousel-control-prev,
.slick-carousel-control-next {
  background-color: #e1e1e1;
  width: 6vh;
  height: 6vh;
  border-radius: 50%;
  bottom: 25%;
  transform: translateY(-50%);
}

.slick-carousel-control-prev {
	float: left;
	margin-left: 50px;
}

.slick-carousel-control-next {
	float: right;
	margin-right: 50px;
}


/* Carousel Card Text */
.card-text  {
    font-size: 12px;
}

.card .img-wrapper {
    max-width: 100%;
    height: 13em;
    display: flex;
    justify-content: center;
    align-items: center;
}
.card img {
    max-height: 100%;
}

@media screen and (min-width: 300px) {
  .slick-carousel-item {
    margin-right: 0;
    flex: 0 0 33.333333%;
    display: block;
  }
  .slick-carousel-inner {
    display: flex;
  }
}

@media screen and (max-width: 300px) {
  .card .img-wrapper {
    height: 17em;
  }
}

.slick-prev:before, .slick-next:before { 
    color:white !important;
	font-size: 40px;
	line-height: 1;
}

@media screen and (max-width: 400px) {
	 .slick-prev
	{
		left: 5px;
		z-index: 100;
	}
	
	.slick-next
	{
		right: 25px;
		z-index: 100;
	}
}

.slick-dots
{
    position: absolute;
    bottom: 10px;
    display: block;
    width: 100%;
    padding: 0;
    margin: 0;
    list-style: none;
    text-align: center;
	color:white !important;
	font-size: 40px;
}

.slick-dots li.slick-active button:before {
    color:White !important;
	font-size: 10px;
}



/* Map Container */
.map-container {
    top:0;
	width: 90%;
    height: 600px;
	display: block;
	margin-left: auto;
	margin-right: auto;
	padding-top: 0;
	padding-bottom: 20px;
}

@media screen and (max-width: 600px) {
	.map-container {
		width: 100%;
		height: 500px;
		padding-bottom: 0;
	}
}

/* Map Container (Projects on Map)*/
.map-container-projects {
    top:0;
	width: 90%;
    height: 600px;
	display: block;
	margin-left: auto;
	margin-right: auto;
	padding-top: 0;
	padding-bottom: 20px;
}

@media screen and (max-width: 600px) {
	.map-container-projects {
		width: 100%;
		height: 650px;
		padding-bottom: 0;
	}
}

/* Subdomains On Map Classes */
.subdomain-on-map-item {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 30px;
}

.subdomain-on-map-title {
  font-size: 1.1rem;
  font-family: "Montserrat", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-weight: 600;
  margin-bottom: 0;
  text-align: center;
  width: 100%;
}

.subdomain-on-map-address {
  font-size: 0.9rem;
  font-family: "Montserrat", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-weight: 400;
  margin: 10px;
  text-align: left;
  width: 100%
}

.subdomain-on-map-statistics-container {
  display: inline-block;
  background-color: rgba(22,118,225,0.9);
  text-align: center;
  color: #ffffff;
  text-align: center;
  text-decoration: none;
  vertical-align: middle;
  padding: 10px;
  padding-right: 20px;
  border-radius: 4px;
  bottom: 10px;
}

.subdomain-on-map-statistics-icon {
  margin-left: 10px;
  margin-right: 0;
}

.subdomain-on-map-open-button {
  margin: 0;
  position: absolute;
  left: 50%;
  bottom:10px;
  -ms-transform: translateX(-50%);
  transform: translateX(-50%);
}

/* Map Objects */
.map-object-image {
  width: 300px;
}

.map-object-accordion-button {
  position: relative;
  display: flex;
  align-items: left;
  width: 100%;
  padding: 1rem 1.25rem;
  font-size: 1rem;
  color: #212529;
  text-align: left;
  background-color: #fff;
  border: 0;
  border-radius: 0;
  overflow-anchor: none;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, border-radius 0.15s ease;
}

/* Projects On Map */
.project-on-map-accordion-collapse {
  position: relative;
  margin-top: 0;
  background-color: white;
}

.project-on-map-title {
  font-size: 1rem;
  font-family: "Montserrat", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-weight: 600;
  margin-bottom: 0;
  text-align: center;
  width: 100%;
 
}

.project-on-map-author {
  font-size: 0.7rem;
  font-family: "Montserrat", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-weight: 600;
  margin-bottom: 10px;
  text-align: left;
  width: 100%;
  position: relative;
  top: 50%;
  transform: translateY(-5px);
}

.project-on-map-image-placemark {
  width: 280px;
  position: relative;
  top: 50%;
}

.project-on-map-image {
  width: 280px;
  position: relative;
  top: 50%;
  transform: translateY(-15px);
}

.project-on-map-buttons-container {
  width: 100%;
  bottom: 0;
  background-color: white;
}

.project-on-map-open-button {
  margin-left: 30px;
}


.custom-margin-10{
  margin-top: 10px;
  margin-bottom: 10px;
}

.container-align-left{
  text-align: left;
  width: 100%;
  position: relative;
  margin-top: 10px;
  margin-bottom: 10px;
}

.project-thumb {
  width: 400px;
  position: relative;
  top: 50%;
}

.project-info-text {
  font-size: 0.9rem;
  font-family: "Montserrat", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-weight: 500;
  margin-top: 10px;
  margin-bottom: 10px;
  text-align: left;
  width: 100%;
  position: relative;
}


/* The side navigation menu */
.sidebar {
  margin: 0;
  padding: 0;
  width: 200px;
  background-color: #f1f1f1;
  position: fixed;
  height: 100%;
  overflow: auto;
}

/* Sidebar links */
.sidebar a {
  display: block;
  color: black;
  padding: 16px;
  text-decoration: none;
}

/* Active/current link */
.sidebar a.active {
  background-color: #088ade;
  color: white;
}

/* Links on mouse-over */
.sidebar a:hover:not(.active) {
  background-color: #088ade;
  color: white;
}

/* Page content. The value of the margin-left property should match the value of the sidebar's width property */
div.content {
  margin-left: 200px;
  padding: 1px 16px;
  height: 1000px;
}

/* On screens that are less than 700px wide, make the sidebar into a topbar */
@media screen and (max-width: 700px) {
  .sidebar {
    width: 100%;
    height: auto;
    position: relative;
  }
  .sidebar a {float: left;}
  div.content {margin-left: 0;}
}

/* On screens that are less than 400px, display the bar vertically, instead of horizontally */
@media screen and (max-width: 400px) {
  .sidebar a {
    text-align: center;
    float: none;
  }
}


/* The sidepanel menu */
.sidepanel {
  height: 250px; /* Specify a height */
  width: 0; /* 0 width - change this with JavaScript */
  position: fixed; /* Stay in place */
  z-index: 1; /* Stay on top */
  top: 0;
  left: 0;
  background-color: #088ade; /* Black*/
  overflow-x: hidden; /* Disable horizontal scroll */
  padding-top: 60px; /* Place content 60px from the top */
  transition: 0.5s; /* 0.5 second transition effect to slide in the sidepanel */
}

/* The sidepanel links */
.sidepanel a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

/* When you mouse over the navigation links, change their color */
.sidepanel a:hover {
  color: #f1f1f1;
}

/* Position and style the close button (top right corner) */
.sidepanel .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

/* Style the button that is used to open the sidepanel */
.openbtn {
  font-size: 20px;
  cursor: pointer;
  background-color: #088ade;
  color: white;
  padding: 10px 15px;
  border: none;
}

.openbtn:hover {
  background-color: #444;
}
